Create Gate Review

posthttps://statsigapi.net/console/v1/gates/{id}/reviews

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

Body

application/json
descriptionstringrequired

Human-readable description of the proposed change.

reviewer_idsstring[]

User IDs to request review from.

reviewer_group_idsstring[]

Reviewer group IDs to request review from.

changeobjectrequired

The proposed change. Provide exactly one of the fields in v1.

Show child attributes
rulesobject[]

Proposed full rule set for the gate. Same shape as the gate update contract.

name[]stringrequired

The name of this rule.

passPercentage[]numberrequired

Of the users that meet the conditions of this rule, what percent should return true.

conditions[]object[]required

An array of Condition objects.

targetValue[]oneOf
operator[]string
field[]string
customID[]string
type[]stringrequired
environments[]string[]

The environments this rule is enabled for.

id[]string

The Statsig ID of this rule.

baseID[]string

The base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout

returnValue[]object

The return value of the rule.

completedAutomatedRollouts[]object[]

Read-only: Automated rollout phases that have already completed.

time[]number
passPercent[]numberrequired
pendingAutomatedRollouts[]object[]

Read-only: Automated rollout phases that are scheduled but not yet complete.

time[]number
passPercent[]numberrequired
is_enabledboolean

Proposed enabled state for the gate. An explicit target, not a toggle.

Response

application/json
201· The created gate review.
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
review_idstringrequired

Unique ID of the review.

statusstringrequired

Lifecycle status of the review.

typestringrequired

Kind of change the review proposes.

authorobjectrequired

The user who created the review.

idstringrequired
emailstringrequired
reviewersobject[]required

Requested reviewers (users and groups).

id[]stringrequired
kind[]stringrequired
descriptionstringrequired

Human-readable description of the proposed change.

created_atstringrequired

ISO-8601 timestamp of when the review was created.

Was this helpful?